Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Some file .so are missing for arm64-v8a, x86 and x86_64 architectures
Started by arraffaele Sep 14 2019 12:18 AM

4 replies to this topic
missing files .so x64 appodeal

Best Answer Rob Miracle , 14 September 2019 - 05:18 PM

You really should be using the modular Appodeal plugin. That older combined version of the plugin hasn't been updated in a long time and probably hasn't been tested against Android 64-bit builds. We encourage everyone to move to the modular version. Both Google and Apple have had issues with various ad adapters and their new policies, so you need to use Appodeal 2.5.1 or later (both the module and beta channel of the modular are running 2.5.1 or newer).

 

Rob

[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

arraffaele

[GLOBAL: userInfoPane.html]
arraffaele
  • Observer

  • 20 posts
  • Corona SDK

Hi,

 

i build with success the new 64 bit .apk or .abb package and all ".so" files are right in "lib" folder for all architectures (I use appodeal in my app).

 

There are only 2 missing files in lib folder the missing files:

 

"libadcolony.so" and "libjs.so"

 

are only in the lib/armeabi-v7a folder and no 64 bit (or x86) version of the .so files are included in the .apk/.abb package.

 

I guess: the two files will be included soon? Is an adcolony sdk problem? There are a deadline for the inclusion of that files or what???



[TOPIC: post.html]
#2

vlads

[GLOBAL: userInfoPane.html]
vlads
  • Contributor

  • 889 posts
  • Corona Staff

Those files are not required anymore. What plugins and what version of Corona are you using?
Please, post your build.settings

[TOPIC: post.html]
#3

arraffaele

[GLOBAL: userInfoPane.html]
arraffaele
  • Observer

  • 20 posts
  • Corona SDK

Corona version is 2019.3523

and this is build.settings file:

settings = 
 {

  -- General parameters
  orientation =
   {
	default   = "portrait",
	supported = { "portrait" }
   },

  -- iOS parameters
  iphone =
   {
    xcassets = "Images.xcassets",
    plist =
     {
      CFBundleIconFiles             = {},
      UILaunchStoryboardName        = "LaunchScreen",
	  UIStatusBarHidden             = true,
	  UIPrerenderedIcon             = true,  -- Set to false for "shine" overlay
	  --UIApplicationExitsOnSuspend   = true,  -- Uncomment to quit app on suspend

      UIAppFonts = { "data/fonts/fonts.ttf" },

	  NSAppTransportSecurity         = { NSAllowsArbitraryLoads = true }, -- To use non-secure http (temporary solution?)
	  
	  NSCalendarsUsageDescription    = "No access to calendar needed",
	  NSPhotoLibraryUsageDescription = "No access to photos needed",  
	  NSCameraUsageDescription       = "No access to camera needed",            
	 }
   },

  -- Android parameters
  android =
   {
    usesPermissions =
     {
      "android.permission.INTERNET",
      "android.permission.ACCESS_NETWORK_STATE",
     },
    applicationChildElements =
     {
      [[
        <meta-data android:name="com.google.android.gms.ads.APPLICATION_ID"
                   android:value="XXXXXXXXXXXXXXX"/>
      ]],
     },
   },
  
  -- Exclude some files for different targets
  excludeFiles =
   {
    all     = { "Icon.png", "Icon-*dpi.png", "Images.xcassets" },
    iphone  = { "data/sounds/fx/*.ogg" },
    android = { "data/sounds/fx/*.aac", "Default-568h@2x.png" }
   },
    
  plugins =
   {
    ["plugin.appodeal"] = { publisherId = "com.coronalabs" },
   },

 }



[TOPIC: post.html]
#4

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,207 posts
  • Enterprise

  Best Answer

You really should be using the modular Appodeal plugin. That older combined version of the plugin hasn't been updated in a long time and probably hasn't been tested against Android 64-bit builds. We encourage everyone to move to the modular version. Both Google and Apple have had issues with various ad adapters and their new policies, so you need to use Appodeal 2.5.1 or later (both the module and beta channel of the modular are running 2.5.1 or newer).

 

Rob



[TOPIC: post.html]
#5

arraffaele

[GLOBAL: userInfoPane.html]
arraffaele
  • Observer

  • 20 posts
  • Corona SDK

Thanks, with modular plugin all 64bit library are ok and all works fine!!!  :)  :)  :)




[topic_controls]
[/topic_controls]

Also tagged with one or more of these keywords: missing files, .so, x64, appodeal